## wmwave 0.4

=== Makefile ===
#
# $Log: Makefile,v $
# Revision 1.2  1999/08/19 17:58:51  carsten
# Almost final version
#
# Revision 1.1  1999/08/15 15:38:09  carsten
# Added wmwave project to repository

LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11 -lm
FLAGS = -O6
OBJS =	 \
		wmgeneral.o \

default:all

.c.o:
	cc -I/usr/X11R6/share/include $(FLAGS) -c -Wall $< -o $*.o

wmwave.o: wmwave.c wmwave-master.xpm
	cc -I/usr/X11R6/share/include $(FLAGS) -c -Wall wmwave.c -o $*.o

wmwave: $(OBJS) wmwave.o
	cc $(FLAGS) -o wmwave $(OBJS) -lXext $(LIBDIR) $(LIBS) wmwave.o

all:: wmwave

clean::
	rm -f *.o
	rm -f wmwave 
	rm -f *~

install:: wmwave
	strip wmwave
	cp -f wmwave /usr/bin/
	chmod 755 /usr/bin/wmwave
	chown root:root /usr/bin/wmwave
	cp -f wmwave.1 /usr/man/man1
	chmod 644 /usr/man/man1/wmwave.1
	chown root:root /usr/man/man1/wmwave.1
	@echo "wmwave Installation finished..."

=== debian/changelog ===
wmwave (0.4-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/Fix-compilation-with-gcc-10.patch.
    Thanks to Logan Rosen <logan@ubuntu.com>. (Closes: #957954)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Fri, 12 Feb 2021 22:18:49 +0000

wmwave (0.4-11) unstable; urgency=medium

  [ Guido Günther ]
  * Use 3.0 (quilt) format
  * Move Debian delta to debian/patches
  * Switch to dh
  * Switch to debhelper compat level 12
  * Bump standards version

  [ Reiner Herrmann ]
  * Move libraries to the end
    (Closes: #925859)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Oct 2019 23:59:08 +0200

wmwave (0.4-10) unstable; urgency=medium

  * [38afc39] Switch to debhelper level 8
    (Closes: #817725)
  * [59d5acf] Use homepage field

 -- Guido Günther <agx@sigxcpu.org>  Sun, 13 Mar 2016 00:29:58 +0100

wmwave (0.4-9) unstable; urgency=low

  * fix noise and level calculation for dBm. Thanks to Paul Martin for
    feedback and suggestions (Closes: #406947)

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 15 Jun 2007 16:33:33 +0200

wmwave (0.4-8) unstable; urgency=low

  * use iwlib instead of doing the ioctl ourselfes (Closes: #427594, #406947, #225279)
  * update homepage in debian/copyright and debian/control (Closes: #421405)
  * switch to debhelper 5 

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 09 Jun 2007 14:23:36 +0200

wmwave (0.4-7) unstable; urgency=low

  * add patch from Julien BLACHE <jblache@debian.org> to use the proper ioctl
    instead of parsing /proc/net/wireless, this also fixes some problems when
    the driver reports values in dB or displays erratic values like the level
    being higher than the max level - thanks a lot Julien.
  * bump standards version 
  * update email address

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 13 Jan 2007 22:16:01 +0100

wmwave (0.4-6) unstable; urgency=low

  * Build-Depend on the specific x libraries instead of libx11-dev
    (Closes: 346783)
  * Bump standards version to 3.6.2 (no source changes)
  * quote all menu strings 

 -- Guido Guenther <agx@debian.org>  Mon,  9 Jan 2006 10:10:35 +0100

wmwave (0.4-5) unstable; urgency=low

  * recompile against linux-kernel-headers, fixing segfault on 2.6 kernels
    (Closes: #201713)
  * minor source code cleanups

 -- Guido Guenther <agx@debian.org>  Tue, 23 Dec 2003 00:10:32 +0100

wmwave (0.4-4) unstable; urgency=low

  * manpage cleanups by Ludovic Rousseau, thanks (Closes: #216597)
  * fix typo in copyright file
  * sanitize Makfile a bit and handle DH_BUILD_OPTIONS
  * fix possible overflow in iface[]/wmwave.c
  * bump Standards-Version to 3.6.1 

 -- Guido Guenther <agx@debian.org>  Sun, 26 Oct 2003 19:59:59 +0100

wmwave (0.4-3) unstable; urgency=low

  * package taken from Noah L. Meyerhans, thanks.
  * remove CVS/ directories (Closes: #201220)
  * remove executable bits from wmwave.c
  * fix wrong link display by calling SIOCGIWRANGE ioctl (Closes: #151376)
  * fix typo in description (Closes: #125502)
  * echo 4 > debian/compat, adjust debhelper dependency
  * bump standards version to 3.5.6

 -- Guido Guenther <agx@debian.org>  Sun, 13 Jul 2003 22:32:27 +0200

wmwave (0.4-2.1) unstable; urgency=low

  * NMU
  * debian/control: added xlibs-dev to Build-Depends

 -- Branden Robinson <branden@debian.org>  Fri, 13 Jul 2001 16:45:23 -0500

wmwave (0.4-2) unstable; urgency=low

  * Fixed a bug in the entry in the Debian menu system.  (Closes: Bug#99745)
  * Bumped the standards version up to 3.5.4.0

 -- Noah Meyerhans <noahm@debian.org>  Sat,  2 Jun 2001 22:29:54 -0400

wmwave (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Noah Meyerhans <frodo@morgul.net>  Tue, 07 Feb 2001 16:42:03 -0500

=== debian/control ===
Source: wmwave
Section: x11
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper (>= 12~),
 libiw-dev,
 libx11-dev,
 libxext-dev,
 libxpm-dev,
Standards-Version: 4.4.0
Homepage: http://wmwave.sourceforge.net

Package: wmwave
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Monitor status of an 802.11 wireless ethernet link
 wmwave is dockapp for Window Maker to display statistical information
 about a current wireless ethernet connection.  While made for Window
 Maker, it works with other window managers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_OPTS = -s
endif

%:
	dh $@
